Bug 863690 - hangs for 15 sec when i try to select a range of messages
hangs for 15 sec when i try to select a range of messages
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
16
i686 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Jan Horak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-06 12:12 EDT by rmknox
Modified: 2013-02-13 10:02 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 10:02:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rmknox 2012-10-06 12:12:10 EDT
Description of problem:thunderbird hangs 15 seconds when I select a range of messages


Version-Release number of selected component (if applicable):
Linux 3.4.11-1.fc16.i686   thunderbind 15.0.1-1.fc16


How reproducible: very


Steps to Reproduce:
1.go to inbox folder
2. put cursor on a message and click button 1
3. move cursor to a message down the page
4. hold down shift and click button 1
5. count the seconds - takes 15 till the appropriate screen display shows that a range is selected
6. above on first time i select - subsequent selections happen more or less immeditely
  
Actual results:

15 sec wait


Expected results:
immediate

Additional info:

I have experienced on 2 computers - 

one has msi p6ngm motherboard with core 2 duo cpu e4500@2.20 ghz and nvidia video adapter and nvidea driver obtained via the fedora rpm system- 

other is an older pentium 4 on a msi board with 1 gb mem and old pci rage adapter and sez "gnome in fallback mode".
Comment 1 rmknox 2012-10-06 12:18:37 EDT
I did the preupgrade from the older system with the pci rage adapter. Observed the problem there. Then moved the disk to the newer system with the nvidia adapter. saw the problem there. then added the driver for the nvidia adapter - using rpm from the free and non-free sites. have blazing 3d now - still have the problem.
Comment 2 rmknox 2012-10-06 12:49:58 EDT
The preupgrade was from f14 to f16
Comment 3 rmknox 2012-10-07 16:00:22 EDT
It may be fixed.?

I compressed the folders in Thunderbird and it appears to act normally. I will report back tomorrow to report whether  if it works consistently from the first usage in the am.

In some way the f16 Thunderbird 15.0 combo acts differently from the f14 Thunderbird whatever combo - since the screen acted normally in Thunderbird in f14 apparently regardless of whether I compressed the folders. I'll boot my f14 disk and see if I can see why they are different. Maybe it was set in f14 to compress folders and the preupgrade uncompressed the folders?

Will report back later.
Comment 4 Jan Horak 2012-10-08 05:20:22 EDT
(In reply to comment #3)
> Maybe it was set in
> f14 to compress folders and the preupgrade uncompressed the folders?
> 
That's very unlikely, AFAIK preupgrade is not touching your Thunderbird profile. Compress preference might not survive update to TB 15, but you'd better double check it (persistence of compress preference after update to TB 15) before we file it as a bug at mozilla.
Comment 5 rmknox 2012-10-11 19:02:42 EDT
I think the compress is not the answer. I told it to compress and the problem persists - appeared to be better but then returned - it is somewhat erratic. at times I wait 15 seconds - other times when I select multiple messages it highlights them immediately. Just now I selected a message, held down the shift key, pressed the down arrow multiple times. Highlighted area moves with the arrow for 9 presses and then sits unchanged for next 2 presses - i waited and more than ten secs later the highlighted zone advanced 2 lines. I've seen programs do things like this when they were writing massive amounts of diagnostics into a log file. I don't see anything when I run dmesg. I don't see an obvious log file in ~/.thunderbind or notations in /var/log/messages. Not really being savvy re Fedora I don't know where to look.

I've played with my 2 f14 systems and they dont have this problem.
Comment 6 rmknox 2012-10-13 09:55:33 EDT
For what its worth - firefox 16 has been experiencing delays and nw is dead - I'll file a separate report
Comment 7 Jan Horak 2012-10-15 06:24:42 EDT
Any addons installed? 
Please try safe mode:
thunderbird -safe-mode
and if it doesn't help also fresh profile (if possible, ie. using IMAP).
Comment 8 rmknox 2012-10-16 00:10:46 EDT
I have not installed addons - this is what preupgrade from f14 to f16 gave me

-safe-mode : acts the same - I selected 10 items - took about 10 sec for the screen to show it

I'm not sure I  understand the request "fresh profile (if possible, ie. using IMAP)."

here are the contents of profile.ini in ~/.thunderbird/i4p12zbq.default/Mail

[General]
StartWithLastProfile=1

[Profile0]
Name=default
IsRelative=1
Path=i4p12zbq.default
Default=1

is that what you want?
Comment 9 rmknox 2012-11-23 23:33:48 EST
Appears to be fixed

System updated to kernel 3.6.6

yum updated thunderbird 

problem appears to be gone
Comment 10 Fedora End Of Life 2013-01-16 09:03:59 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Fedora End Of Life 2013-02-13 10:02:29 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.